Skip to main content
GET
/
organizations
/
{org}
/
environments_notifications
List environment notifications
curl --request GET \
  --url https://app.kosli.com/api/v2/organizations/{org}/environments_notifications \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "type": "<string>",
    "number": 123,
    "environments": [
      "<string>"
    ],
    "triggers": [
      "ON_STARTED_ARTIFACT"
    ],
    "targets": [
      {
        "type": "<string>",
        "webhook": "<string>",
        "last_success_at": 123,
        "last_failure_at": 123,
        "context": {
          "channel_id": "<string>",
          "channel_name": "<string>",
          "team_id": "<string>"
        }
      }
    ],
    "created_by": "<string>",
    "is_created_from_slack_app": true,
    "last_modified_at": 123,
    "is_failing": true,
    "last_success_timestamp": 123,
    "last_failure_timestamp": 123,
    "created_at": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Response

200 - application/json

Successful Response

name
string
required
type
string
required
number
integer
required
environments
string[]
required
triggers
enum<string>[]
required
Available options:
ON_STARTED_ARTIFACT,
ON_EXITED_ARTIFACT,
ON_SCALED_ARTIFACT,
ON_ALLOWED_ARTIFACT,
ON_NON_COMPLIANT_ENV,
ON_COMPLIANT_ENV
targets
(SlackTargetResponse · object | WebhookTargetResponse · object | EmailTargetResponse · object)[]
required
created_by
string
required
is_created_from_slack_app
boolean
required
last_modified_at
number
required
is_failing
boolean | null
last_success_timestamp
number | null
last_failure_timestamp
number | null
created_at
number | null
Last modified on April 9, 2026